package com.casic.common.detector.gd.model;

import java.util.List;

/**
 * Task本地库数据模型类，包含Task里面的Marker
 */
public class TaskDetailLocalModel {
    private String taskId;//任务ID
    private String taskCode;//任务编号
    private String description;//任务名称
    private String createTime;//任务创建的时间
    private String status;//任务状态
    private String createUserName;//任务创建者名称
    private String startTime;//任务被开始执行的时间
    private String endTime;//任务执行结束的时间
    private String isFreeTask;//是否自由巡检。1-是，0-否
    private List<TaskMarkerLocalModel> markerModels;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTaskCode() {
        return taskCode;
    }

    public void setTaskCode(String taskCode) {
        this.taskCode = taskCode;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getIsFreeTask() {
        return isFreeTask;
    }

    public void setIsFreeTask(String isFreeTask) {
        this.isFreeTask = isFreeTask;
    }

    public List<TaskMarkerLocalModel> getMarkerModels() {
        return markerModels;
    }

    public void setMarkerModels(List<TaskMarkerLocalModel> markerModels) {
        this.markerModels = markerModels;
    }

    public static class TaskMarkerLocalModel {
        private String markerId;
        private double lng;
        private double lat;
        private String isDetected;
        private String detectedTime;

        public String getMarkerId() {
            return markerId;
        }

        public void setMarkerId(String markerId) {
            this.markerId = markerId;
        }

        public double getLng() {
            return lng;
        }

        public void setLng(double lng) {
            this.lng = lng;
        }

        public double getLat() {
            return lat;
        }

        public void setLat(double lat) {
            this.lat = lat;
        }

        public String getIsDetected() {
            return isDetected;
        }

        public void setIsDetected(String isDetected) {
            this.isDetected = isDetected;
        }

        public String getDetectedTime() {
            return detectedTime;
        }

        public void setDetectedTime(String detectedTime) {
            this.detectedTime = detectedTime;
        }
    }
}
